import { EffectCallback, DependencyList } from 'react';

declare const useMount: (fn: () => void) => void;

declare const useUnmount: (fn: () => void) => void;

declare const useEffectOnce: (mountFn?: (() => void) | undefined, unMountFn?: (() => void) | undefined) => void;

declare const useUpdate: () => () => void;

declare const useUpdateEffect: (effect: EffectCallback, deps?: DependencyList | undefined) => void;

declare const useCode: (code: string, queryCode: (arg0: string) => any, refresh?: boolean) => never[];

export { useCode, useEffectOnce, useMount, useUnmount, useUpdate, useUpdateEffect };
